package nl.hro.listenersdemo;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.TextView;


/**
 * Uitleg over 'handmatig' listeners toevoegen
 * 
 * Hierbij geven we aan dat het object waar we nu in werken
 * de 'interface' OnClickListener implementeert, en daarmee 
 * voldoet aan de wens/eis van de button. 
 * Via de verplichte functie onClick kan de button namelijk
 * aangeven dat er op hem is geklikt.
 * 
 */
public class ListenersDemo2 extends Activity implements OnClickListener {

	TextView txt;
	
    public void onCreate(Bundle savedInstanceState) {
    	super.onCreate(savedInstanceState);
    	
        setContentView(R.layout.main);
    	txt = (TextView) this.findViewById(R.id.TextField1);
        LinearLayout l = (LinearLayout)this.findViewById(R.id.Layout1);
        Button b = new Button(this);
        l.addView(b);
        
        b.setOnClickListener(this);
    }


    public void onClick(View v) {
		
		txt.setText("Er is op de button geklikt");		
	}
}
